Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11.actions
Class UpdateAction

`java.lang.Object
org.apache.struts.action.Action
oracle.jbo.html.struts11.actions.UpdateAction`

public class UpdateAction
extends org.apache.struts.action.Action

UpdateAction

Since:
  JDeveloper 9.0.3

Field Summary

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`UpdateAction()`

Method Summary
`protected void` | `addError(BC4JContext context, int num, int lev, org.apache.struts.action.ActionErrors errors, java.lang.Exception ex)` Recursive method adding a new error for each level of the tree of exception
`org.apache.struts.action.ActionErrors` | `buildErrorsFromException(javax.servlet.http.HttpServletRequest request, java.lang.Exception ex)` Generic error handling method producing an "indented" error list representing the tree of exceptions inside a JboException.
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected boolean` | `isCreate(BC4JContext context)` Kept for backward compatibility.
`protected boolean` | `isCreate(javax.servlet.http.HttpServletRequest request, BC4JContext context)`
`void` | `populateRow(BC4JContext context, org.apache.struts.action.ActionForm form, Row row)`
`protected org.apache.struts.action.ActionErrors` | `validate(javax.servlet.http.HttpServletRequest request, BC4JContext context, org.apache.struts.action.ActionForm form, Row row)`

Methods inherited from class org.apache.struts.action.Action
`execute, generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateAction

    public UpdateAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)

### isCreate

    protected boolean isCreate(BC4JContext context)

  Kept for backward compatibility. isCreate with the request should be the method to override

### isCreate

    protected boolean isCreate(javax.servlet.http.HttpServletRequest request,
                               BC4JContext context)

### validate

    protected org.apache.struts.action.ActionErrors validate(javax.servlet.http.HttpServletRequest request,
                                                             BC4JContext context,
                                                             org.apache.struts.action.ActionForm form,
                                                             Row row)

### populateRow

    public void populateRow(BC4JContext context,
                            org.apache.struts.action.ActionForm form,
                            Row row)

### addError

    protected void addError(BC4JContext context,
                            int num,
                            int lev,
                            org.apache.struts.action.ActionErrors errors,
                            java.lang.Exception ex)

  Recursive method adding a new error for each level of the tree of exception

### buildErrorsFromException

    public org.apache.struts.action.ActionErrors buildErrorsFromException(javax.servlet.http.HttpServletRequest request,
                                                                          java.lang.Exception ex)

  Generic error handling method producing an "indented" error list representing the tree of exceptions inside a JboException. Overwrite this method to customize the error reporting.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.